カテゴリー別アーカイブ: OSX

YosemiteにアップデートしたらPostgreSQLが繋がらなくなった。

MacをYosemiteにアップデートすると自動的にYosemiteのPostgreSQLを読もうとするらしく、それまで使ってた(HomebrewでインストールしたものやAppバージョンの)PostgreSQLが繋がらなくなります。

方法としては2つ。

1:Yosemite用のPostgreSQLを使うようにする。
2:.bashrcなどを使ってPostgreSQLの場所を指定する。

実は始め2を使って処理しましたが、この度Yosemiteのアップデートがあり実行したら元に戻ってしまった。うーん。毎回だと面倒。ということで1にシフト。

YosemiteのPostgreSQLをいきなり起動しようとすると怒られるので、ディレクトリを作ってあげる必要があるらしい。

情報はこちらから↓

http://foobartel.com/2014/10/yosemite-upgrade-postgresql/

 

Ruby on Rails bundle install 失敗。原因はmavericsのインストールとXcodeのアップデート

Agreeing to the Xcode/iOS license requires admin privileges, please re-run as root via sudo.

ちょっとRailsの新しいプロジェクト(テストプロジェクト)を
作ろうと思ってbundle installを実行したら上記のようなエラーがでました。

原因はXcodeのアップデート後にアプリケーション上で「I agree」を実行しなかったこと。

XcodeをGUIで起動してI agreeしたらエラーがでなくなりました。

情報はこちら

http://blog.tomhennigan.co.uk/post/62238548037/agreeing-to-the-xcode-license-from-the-command-line

I love green!